Index: sockit/atari800core.qsf
===================================================================
--- sockit/atari800core.qsf	(revision 304)
+++ sockit/atari800core.qsf	(revision 305)
@@ -11,7 +11,7 @@
 set_global_assignment -name DEVICE_FILTER_PACKAGE FBGA
 set_global_assignment -name DEVICE_FILTER_PIN_COUNT 896
 set_global_assignment -name DEVICE_FILTER_SPEED_GRADE 8_H6
-set_global_assignment -name SDC_FILE atari800core.SDC
+set_global_assignment -name SDC_FILE atari800core.sdc
 
 #============================================================
 # CLOCK
@@ -322,150 +322,150 @@
 #============================================================
 # HSMC, HSMC connect to HTG - HSMC to PIO Adaptor
 #============================================================
-set_location_assignment PIN_A9 -to GPIO1_35
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_35
-set_location_assignment PIN_G12 -to GPIO1_31
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_31
-set_location_assignment PIN_A8 -to GPIO1_33
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_33
-set_location_assignment PIN_G11 -to GPIO1_29
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_29
-set_location_assignment PIN_E8 -to GPIO1_34
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_34
-set_location_assignment PIN_K12 -to GPIO1_27
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_27
-set_location_assignment PIN_D7 -to GPIO1_32
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_32
-set_location_assignment PIN_J12 -to GPIO1_25
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_25
-set_location_assignment PIN_G7 -to GPIO1_30
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_30
-set_location_assignment PIN_G10 -to GPIO1_23
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_23
-set_location_assignment PIN_F6 -to GPIO1_28
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_28
-set_location_assignment PIN_F10 -to GPIO1_21
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_21
-set_location_assignment PIN_D6 -to GPIO1_26
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_26
-set_location_assignment PIN_J10 -to GPIO1_19
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_19
-set_location_assignment PIN_C5 -to GPIO1_24
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_24
-set_location_assignment PIN_J9 -to GPIO1_17
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_17
-set_location_assignment PIN_D5 -to GPIO1_22
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_22
-set_location_assignment PIN_K7 -to GPIO1_15
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_15
-set_location_assignment PIN_C4 -to GPIO1_20
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_20
-set_location_assignment PIN_K8 -to GPIO1_13
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_13
-set_location_assignment PIN_E3 -to GPIO1_14
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_14
-set_location_assignment PIN_J7 -to GPIO1_11
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_11
-set_location_assignment PIN_E2 -to GPIO1_12
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_12
-set_location_assignment PIN_H7 -to GPIO1_9
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_9
-set_location_assignment PIN_E4 -to GPIO1_10
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_10
-set_location_assignment PIN_H8 -to GPIO1_7
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_7
-set_location_assignment PIN_D4 -to GPIO1_8
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_8
-set_location_assignment PIN_G8 -to GPIO1_5
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_5
-set_location_assignment PIN_C3 -to GPIO1_6
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_6
-set_location_assignment PIN_F9 -to GPIO1_3
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_3
-set_location_assignment PIN_B3 -to GPIO1_4
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_4
-set_location_assignment PIN_F8 -to GPIO1_1
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_1
-set_location_assignment PIN_E7 -to GPIO1_18
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_18
-set_location_assignment PIN_AA26 -to GPIO1_2
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_2
-set_location_assignment PIN_E6 -to GPIO1_16
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_16
-set_location_assignment PIN_AB27 -to GPIO1_0
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1_0
-set_location_assignment PIN_D2 -to GPIO0_35
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_35
-set_location_assignment PIN_B6 -to GPIO0_31
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_31
-set_location_assignment PIN_C2 -to GPIO0_33
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_33
-set_location_assignment PIN_B5 -to GPIO0_29
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_29
-set_location_assignment PIN_B2 -to GPIO0_34
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_34
-set_location_assignment PIN_E9 -to GPIO0_27
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_27
-set_location_assignment PIN_B1 -to GPIO0_32
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_32
-set_location_assignment PIN_D9 -to GPIO0_25
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_25
-set_location_assignment PIN_A4 -to GPIO0_30
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_30
-set_location_assignment PIN_E12 -to GPIO0_23
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_23
-set_location_assignment PIN_A3 -to GPIO0_28
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_28
-set_location_assignment PIN_D12 -to GPIO0_21
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_21
-set_location_assignment PIN_A6 -to GPIO0_26
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_26
-set_location_assignment PIN_D11 -to GPIO0_19
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_19
-set_location_assignment PIN_A5 -to GPIO0_24
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_24
-set_location_assignment PIN_D10 -to GPIO0_17
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_17
-set_location_assignment PIN_C7 -to GPIO0_22
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_22
-set_location_assignment PIN_C13 -to GPIO0_15
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_15
-set_location_assignment PIN_B7 -to GPIO0_20
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_20
-set_location_assignment PIN_B12 -to GPIO0_13
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_13
-set_location_assignment PIN_C8 -to GPIO0_14
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_14
-set_location_assignment PIN_F13 -to GPIO0_11
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_11
-set_location_assignment PIN_B8 -to GPIO0_12
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_12
-set_location_assignment PIN_E13 -to GPIO0_9
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_9
-set_location_assignment PIN_C12 -to GPIO0_10
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_10
-set_location_assignment PIN_H14 -to GPIO0_7
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_7
-set_location_assignment PIN_B11 -to GPIO0_8
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_8
-set_location_assignment PIN_G13 -to GPIO0_5
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_5
-set_location_assignment PIN_B13 -to GPIO0_6
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_6
-set_location_assignment PIN_F15 -to GPIO0_3
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_3
-set_location_assignment PIN_A13 -to GPIO0_4
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_4
-set_location_assignment PIN_F14 -to GPIO0_1
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_1
-set_location_assignment PIN_A11 -to GPIO0_18
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_18
-set_location_assignment PIN_H15 -to GPIO0_2
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_2
-set_location_assignment PIN_A10 -to GPIO0_16
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_16
-set_location_assignment PIN_G15 -to GPIO0_0
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0_0
+set_location_assignment PIN_A9 -to GPIO1[35]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[35]
+set_location_assignment PIN_G12 -to GPIO1[31]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[31]
+set_location_assignment PIN_A8 -to GPIO1[33]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[33]
+set_location_assignment PIN_G11 -to GPIO1[29]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[29]
+set_location_assignment PIN_E8 -to GPIO1[34]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[34]
+set_location_assignment PIN_K12 -to GPIO1[27]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[27]
+set_location_assignment PIN_D7 -to GPIO1[32]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[32]
+set_location_assignment PIN_J12 -to GPIO1[25]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[25]
+set_location_assignment PIN_G7 -to GPIO1[30]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[30]
+set_location_assignment PIN_G10 -to GPIO1[23]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[23]
+set_location_assignment PIN_F6 -to GPIO1[28]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[28]
+set_location_assignment PIN_F10 -to GPIO1[21]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[21]
+set_location_assignment PIN_D6 -to GPIO1[26]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[26]
+set_location_assignment PIN_J10 -to GPIO1[19]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[19]
+set_location_assignment PIN_C5 -to GPIO1[24]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[24]
+set_location_assignment PIN_J9 -to GPIO1[17]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[17]
+set_location_assignment PIN_D5 -to GPIO1[22]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[22]
+set_location_assignment PIN_K7 -to GPIO1[15]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[15]
+set_location_assignment PIN_C4 -to GPIO1[20]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[20]
+set_location_assignment PIN_K8 -to GPIO1[13]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[13]
+set_location_assignment PIN_E3 -to GPIO1[14]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[14]
+set_location_assignment PIN_J7 -to GPIO1[11]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[11]
+set_location_assignment PIN_E2 -to GPIO1[12]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[12]
+set_location_assignment PIN_H7 -to GPIO1[9]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[9]
+set_location_assignment PIN_E4 -to GPIO1[10]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[10]
+set_location_assignment PIN_H8 -to GPIO1[7]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[7]
+set_location_assignment PIN_D4 -to GPIO1[8]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[8]
+set_location_assignment PIN_G8 -to GPIO1[5]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[5]
+set_location_assignment PIN_C3 -to GPIO1[6]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[6]
+set_location_assignment PIN_F9 -to GPIO1[3]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[3]
+set_location_assignment PIN_B3 -to GPIO1[4]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[4]
+set_location_assignment PIN_F8 -to GPIO1[1]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[1]
+set_location_assignment PIN_E7 -to GPIO1[18]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[18]
+set_location_assignment PIN_AA26 -to GPIO1[2]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[2]
+set_location_assignment PIN_E6 -to GPIO1[16]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[16]
+set_location_assignment PIN_AB27 -to GPIO1[0]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO1[0]
+set_location_assignment PIN_D2 -to GPIO0[35]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[35]
+set_location_assignment PIN_B6 -to GPIO0[31]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[31]
+set_location_assignment PIN_C2 -to GPIO0[33]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[33]
+set_location_assignment PIN_B5 -to GPIO0[29]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[29]
+set_location_assignment PIN_B2 -to GPIO0[34]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[34]
+set_location_assignment PIN_E9 -to GPIO0[27]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[27]
+set_location_assignment PIN_B1 -to GPIO0[32]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[32]
+set_location_assignment PIN_D9 -to GPIO0[25]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[25]
+set_location_assignment PIN_A4 -to GPIO0[30]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[30]
+set_location_assignment PIN_E12 -to GPIO0[23]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[23]
+set_location_assignment PIN_A3 -to GPIO0[28]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[28]
+set_location_assignment PIN_D12 -to GPIO0[21]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[21]
+set_location_assignment PIN_A6 -to GPIO0[26]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[26]
+set_location_assignment PIN_D11 -to GPIO0[19]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[19]
+set_location_assignment PIN_A5 -to GPIO0[24]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[24]
+set_location_assignment PIN_D10 -to GPIO0[17]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[17]
+set_location_assignment PIN_C7 -to GPIO0[22]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[22]
+set_location_assignment PIN_C13 -to GPIO0[15]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[15]
+set_location_assignment PIN_B7 -to GPIO0[20]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[20]
+set_location_assignment PIN_B12 -to GPIO0[13]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[13]
+set_location_assignment PIN_C8 -to GPIO0[14]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[14]
+set_location_assignment PIN_F13 -to GPIO0[11]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[11]
+set_location_assignment PIN_B8 -to GPIO0[12]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[12]
+set_location_assignment PIN_E13 -to GPIO0[9]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[9]
+set_location_assignment PIN_C12 -to GPIO0[10]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[10]
+set_location_assignment PIN_H14 -to GPIO0[7]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[7]
+set_location_assignment PIN_B11 -to GPIO0[8]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[8]
+set_location_assignment PIN_G13 -to GPIO0[5]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[5]
+set_location_assignment PIN_B13 -to GPIO0[6]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[6]
+set_location_assignment PIN_F15 -to GPIO0[3]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[3]
+set_location_assignment PIN_A13 -to GPIO0[4]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[4]
+set_location_assignment PIN_F14 -to GPIO0[1]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[1]
+set_location_assignment PIN_A11 -to GPIO0[18]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[18]
+set_location_assignment PIN_H15 -to GPIO0[2]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[2]
+set_location_assignment PIN_A10 -to GPIO0[16]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[16]
+set_location_assignment PIN_G15 -to GPIO0[0]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to GPIO0[0]
 
 #============================================================
 # End of pin assignments by Terasic System Builder
@@ -479,3 +479,5 @@
 set_global_assignment -name VHDL_FILE altiobuf.vhd
 set_global_assignment -name VHDL_FILE altiobufo.vhd
 set_global_assignment -name VHDL_FILE atari800core_sockit.vhdl
+
+set_global_assignment -name PROJECT_OUTPUT_DIRECTORY output_files
